#
# spec file for package smb_auth (Version 0.05)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         smb_auth
Copyright:    GPL
Group:        Networking/Utilities
Provides:     smb_auth 
Requires:     smbclnt
Autoreqprov:  on
Version:      0.05
Release:      296
Summary:      SMB proxy authentication module
URL:          http://www.hacom.nl/~richard/software/smb_auth.html
Source:  http://www.hacom.nl/~richard/software/smb_auth-%{version}.tar.gz
Patch:   smb_auth-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
smb_auth is a proxy authentication module. With smb_auth you can
authenticate proxy users against an SMB server like Windows NT or Samba.

Authors:
--------
    Richard Huveneers <richard@hekkihek.hacom.nl>

SuSE series: n

%prep
%setup
%patch

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin 
make INSTALLBIN=$RPM_BUILD_ROOT/usr/bin install

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
%doc Changelog README smb_auth.html smb_auth.txt
/usr/bin/smb_auth
/usr/bin/smb_auth.sh

%changelog -n smb_auth
* Tue Nov 14 2000 - bodammer@suse.de
- requires squid2 removed from specfile
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
* Tue Jul 11 2000 - adrian@suse.de
- changed requires from samba to smbclnt
* Thu Mar 23 2000 - nadvornik@suse.cz
- added BuildRoot
* Thu Feb 17 2000 - grimmer@suse.de
- use version macro
- added URL
* Sat Oct 02 1999 - grimmer@suse.de
- Update to 0.05
- Added new docu
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 29 1999 - grimmer@suse.de
- initial version (0.04)
